import type Trigger from "../../Types/Trigger";
import type HasEventData from "../Interfaces/HasEventData";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Events {
    private events;
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(EventsData: HasEventData[], formValues?: {});
    /**
     * Execute all triggers.
     *
     * @since 1.0.0
     */
    execute(trigger: Trigger): void;
}
